%define upstream_name    constant-defer
%define upstream_version 5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/constant/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test)
BuildRequires: perl(vars)
BuildArch: noarch

Provides:  perl(constant::defer)

%description
'constant::defer' creates a subroutine which on the first call runs given
code to calculate its value, and on the second and subsequent calls just
returns that value, like a constant. The value code is discarded once run,
allowing it to be garbage collected.

Deferring a calculation is good if it might take a lot of work or produce a
big result, but is only needed sometimes or only well into a program run.
If it's never needed then the value code never runs.

A deferred constant is generally not inlined or folded (see the
perlop/Constant Folding manpage) like a plain 'constant' since it's not a
single scalar value. In the current implementation a deferred constant
becomes a plain one after the first use, so may inline etc in code compiled
after that (see the /IMPLEMENTATION manpage below).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-3.mga3
+ Revision: 375436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 5.0.0-2.mga1
+ Revision: 71298
- adding missing provides:

* Mon Mar 14 2011 jquelin <jquelin> 5.0.0-1.mga1
+ Revision: 71291
- imported package perl-constant-defer

